dynamical(3)

NAME
dynamical - Dynamical Time

SYNOPSIS

  Functions
double ln_get_dynamical_time_diff (double JD)
Calculate approximate dynamical time difference from julian day in seconds.
double ln_get_jde (double JD)
Calculate julian ephemeris day (JDE)

Detailed Description

TODO

Function Documentation

  double ln_get_dynamical_time_diff (double JD)

Calculate approximate dynamical time difference from julian day in seconds.

Parameters
    JD Julian Day

Returns
    TD

Calculates the dynamical time (TD) difference in seconds (delta T) from universal time.

Referenced by ln_get_body_rst_horizon(), and ln_get_jde().

  double ln_get_jde (double JD)

Calculate julian ephemeris day (JDE)

Parameters
    JD Julian Day

Returns
    Julian Ephemeris day

Calculates the Julian Ephemeris Day (JDE) from the given julian day

References ln_get_dynamical_time_diff().

Referenced by ln_get_nutation().

Author

Generated automatically by Doxygen for libnova from the source code.